summaryrefslogtreecommitdiffstats
path: root/network/synergy
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2013-02-13 18:40:56 -0500
committer dsomero <xgizzmo@slackbuilds.org>2013-02-13 19:33:58 -0500
commit89511d779b0cfb5205236ed1d7edb1846f6120a5 (patch)
tree4305ba5e5d2500c72b20c39ef6567b9bb9790f11 /network/synergy
parent0988f0b8a84fac04c7373ecebecc515302a2dd60 (diff)
downloadslackbuilds-89511d779b0cfb5205236ed1d7edb1846f6120a5.tar.gz
slackbuilds-89511d779b0cfb5205236ed1d7edb1846f6120a5.tar.xz
network/synergy: Added (Control sharing over the network)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network/synergy')
-rw-r--r--network/synergy/README5
-rw-r--r--network/synergy/doinst.sh9
-rw-r--r--network/synergy/slack-desc19
-rw-r--r--network/synergy/synergy.SlackBuild108
-rw-r--r--network/synergy/synergy.info10
5 files changed, 151 insertions, 0 deletions
diff --git a/network/synergy/README b/network/synergy/README
new file mode 100644
index 0000000000..741c61829a
--- /dev/null
+++ b/network/synergy/README
@@ -0,0 +1,5 @@
+Synergy lets you easily share your mouse and keyboard between multiple
+computers on your desk.
+
+Note: This builds the beta version of Synergy, but seems to run stable
+at least for me. The 1.3.x (stable) releases are quite old.
diff --git a/network/synergy/doinst.sh b/network/synergy/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/network/synergy/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/synergy/slack-desc b/network/synergy/slack-desc
new file mode 100644
index 0000000000..12e8a0754b
--- /dev/null
+++ b/network/synergy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+synergy: Synergy (Control sharing over the network)
+synergy:
+synergy: Synergy lets you easily share your mouse and keyboard between
+synergy: multiple computers on your desk.
+synergy:
+synergy:
+synergy: Homepage: http://synergy-foss.org/
+synergy:
+synergy:
+synergy:
+synergy:
diff --git a/network/synergy/synergy.SlackBuild b/network/synergy/synergy.SlackBuild
new file mode 100644
index 0000000000..1723e030ab
--- /dev/null
+++ b/network/synergy/synergy.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# SlackBuild script for "synergy".
+
+# Copyright 2013 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=synergy
+VERSION=1.4.10
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-Source
+tar xvf $CWD/$PRGNAM-$VERSION-Source.tar.gz
+cd $PRGNAM-$VERSION-Source
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+sh hm.sh configure --generator=1 --make-gui --release --game-device
+CXXFLAGS="$SLKCFLAGS" sh hm.sh build --make-gui
+
+# installation not implemented
+mkdir -p $PKG/usr/bin $PKG $PKG/usr/doc/$PRGNAM-$VERSION $PKG/usr/man/man1 \
+$PKG/usr/share/icons/hicolor/256x256 $PKG/usr/share/applications
+
+for file in synergy synergyc synergyd synergys usynergy ; do
+ install -s -m 0755 $TMP/$PRGNAM-$VERSION-Source/bin/$file $PKG/usr/bin
+done
+
+for file in synergy.conf.example synergy.conf.example-advanced synergy.conf.example-basic ; do
+ install -m 0644 $TMP/$PRGNAM-$VERSION-Source/doc/$file $PKG/usr/doc/$PRGNAM-$VERSION
+done
+
+for file in COMPILE COPYING ChangeLog INSTALL README ; do
+ install -m 0644 $TMP/$PRGNAM-$VERSION-Source/$file $PKG/usr/doc/$PRGNAM-$VERSION
+done
+
+for file in synergyc.man synergys.man ; do
+ install -m 0644 $TMP/$PRGNAM-$VERSION-Source/doc/$file $PKG/usr/man/man1
+done
+find $PKG/usr/man/man1 -type f -name "*.man" -exec rename '.man' '.1' {} \;
+find $PKG/usr/man/man1 -type f -name "*.?" -exec gzip -9f {} \;
+
+install -m 0644 $TMP/$PRGNAM-$VERSION-Source/res/synergy.ico \
+$PKG/usr/share/icons/hicolor/256x256
+
+install -D -m 0644 $TMP/$PRGNAM-$VERSION-Source/res/synergy.desktop \
+$PKG/usr/share/applications
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/synergy/synergy.info b/network/synergy/synergy.info
new file mode 100644
index 0000000000..ccb148bb33
--- /dev/null
+++ b/network/synergy/synergy.info
@@ -0,0 +1,10 @@
+PRGNAM="synergy"
+VERSION="1.4.10"
+HOMEPAGE="http://synergy-foss.org/"
+DOWNLOAD="http://synergy.googlecode.com/files/synergy-1.4.10-Source.tar.gz"
+MD5SUM="18aee04a7e232e4d821f46ff24da3364"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"